/******************************************************************************\

	ISAppleEvents.h
	
	Constants for Apple Events for InterSLIP Remote 1.2.1
	
\******************************************************************************/

// Event Class

#define 	kISRemoteEventSuite			'MWIr'

// Event ID's

#define		kEventConnect				'Cnct'
#define		kEventDisconnect			'Dscn'
#define		kEventClearLog				'ClLg'

// Classes

#define		kClassOptions				'optn'

// Properties

#define		kOptConnected				'Cntd'
#define		kOptLogging					'Lgng'
#define		kOptRedial					'ReDl'
#define		kOptRedialDelay				'RDly'
#define		kOptCCLDelay				'CCLD'
#define		kOptConnectionSound			'CSnd'

// Enumerations

#define		kEnumConnectionStatus		'Stat'
#define		kStatIdle					'Idle'
#define		kStatWaiting				'Wtng'
#define		kStatDialing				'Dlng'
#define		kStatLoggingIn				'Gtwy'
#define		kStatConnected				'Cntd'
#define		kStatHangingUp				'Hnng'


