{
/******************************************************************************\

	ISAppleEventsIntf.p
	
	Constants for Apple Events for InterSLIP Remote 1.2.1
	
\******************************************************************************/
}

UNIT ISAppleEventsIntf;
INTERFACE

	CONST

{ Event Class }
		kISRemoteEventSuite		=	'MWIr';

{ Event ID's }
		kEventConnect			=	'Cnct';
		kEventDisconnect		=	'Dscn';
		kEventClearLog			=	'ClLg';

{ Classes }
		kClassOptions			=	'optn';

{ Properties }
		kOptConnected			=	'Cntd';
		kOptLogging				=	'Lgng';
		kOptRedial				=	'ReDl';
		kOptRedialDelay			=	'RDly';
		kOptCCLDelay			=	'CCLD';
		kOptConnectionSound		=	'CSnd';

{ Enumerations }
		kEnumConnectionStatus	=	'Stat';
		kStatIdle				=	'Idle';
		kStatWaiting			=	'Wtng';
		kStatDialing			=	'Dlng';
		kStatLoggingIn			=	'Gtwy';
		kStatConnected			=	'Cntd';
		kStatHangingUp			=	'Hnng';

IMPLEMENTATION
END.