/*
    BOB'S EYES PRO version 2
    Copyright (C) 1991-1992  Roberto Avanzi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Author's Address:
		Roberto Avanzi
		via Luigi Balzan 12
		45100 Rovigo (RO)
		Italy (EEC)
	
	Internet E-Mail Address: (at least for 1992)
		gandalf@sabrina.dei.unipd.it
		caraccio@libertad.physics.nyu.edu (alternate one)
*/

/* prototipi */
void		EventLoop();
void		DoEvent( EventRecord *Event );

void		DoUpdate ();
typedef pascal void (*myDeviceLoopDrawingProcPtr)(short depth, GDHandle targetDevice, long userdata);
pascal void myDoUpdateDrawingProc ( short depth, GDHandle targetDevice , long userdata);
pascal void myDeviceLoop(RgnHandle drawingRgn,myDeviceLoopDrawingProcPtr drawingProc, long userdata);

void		DoActivateDeactivate ( );
#define		DoActivate		DoActivateDeactivate
#define		DoDeactivate	DoActivateDeactivate
void		DoMovedOrIdleMouse (Point mouse );
void		SendToSleep();
void		SendToSleepBehind ( register WindowPtr window);
void		AbbassaLePalpebre( );
pascal void myAbbassaLePalpebreProc ( short depth, GDHandle targetDevice , long userdata);
void		WakeTheSleepy ( );
void		WakeAllTheSleepy ( );
void		WakeAllTheSleepyBehind (register WindowPtr window);
pascal void myWakeUpProc (short depth, GDHandle targetDevice, long userdata);
void		EraseDrawAllPupils ( WindowPtr window );
void		EraseDrawPupil( );
void		DrawGlobes (  );
pascal void myDrawGlobesProc ( short depth, GDHandle targetDevice , long userdata);
void		BuaAllOcchio( Boolean xOffset, Boolean stato);
pascal void myBuaAllOcchioProc ( short depth, GDHandle targetDevice , long stato);
void		CalcWindowSizes ( );
void		CalcPupilPos (  );
void		CalcPupilPosOne (  PCouplePtr couple, Boolean xOffset);

void		DrawPupil ( );
void		DrawPupilOne ( PCouplePtr couple );
void		DrawOnlyPupil ( );
void		DrawOnlyPupilOne ( PCouplePtr couple );
pascal void myDrawPupilOneProc (short depth, GDHandle targetDevice, long userdata);

void		DoGrow (  EventRecord *event);
void		PopWindow(short which);
void		DrawWindow ( );
void		AdjustMenus ();
void		DoMenuCommand (  long menuResult  );
void		DoNew();
void		DoZoom( short inOrOut);
Boolean		DoCloseWindow (  );
void		Terminate();
void		Initialize();
void		DoSaveSettings();
void		Pupilla ( );
void		Globo ( );
void		Sfondo ( );
void		Bordo ( );
Boolean		IsAppWindow ( WindowPtr window );
Boolean		IsDAWindow ( WindowPtr window );
Boolean 	TrapAvailable ( short tNumber, TrapType tType );

int			rand(void);
void		srand(unsigned short seed);
