/*
    BOB'S EYES PRO MENU DEFINITION PROCEDURE version 4.0
    consider this one as a library that shows how to display
    a graphical menu. a lot can be done here. have fun.
    This version is designed for use with BOB'S EYES PRO version 2.0
    Copyright (C) 1991-1992  Roberto Avanzi

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Author's Address:
		Roberto Avanzi
		via Luigi Balzan 12
		45100 Rovigo (RO)
		Italy (EEC)
	
	Internet E-Mail Address: (at least for 1992)
		gandalf@sabrina.dei.unipd.it
		caraccio@libertad.physics.nyu.edu (alternate one)
*/

#define	lineShift 1

pascal void main(short message, short ** menuid, Rect * r, long p, short * which);
void DrawTheArrow(short left,short top);

pascal void main(short message, short ** menuid, Rect * r, long p, short * which)
{
	PicHandle pic = GetPicture( (**menuid) + 2000);
	MenuHandle menu = GetMHandle(**menuid);
	short new,imin,imax,theOld;
	Rect invert;
	Rect * thePicFrame;
	Point pt;
	Boolean disabled;
	SysEnvRec	theWorld;
	Boolean		hasColorQD;
	OSErr		err;
	long		pattern[2];

	disabled = (! (**menu).enableFlags & 0x1);
	// dirty things to communicate with my application
	theOld = ((short*)(*menu))[16];	// il men deve essere pi grande di 36 bytes
				// senn mi becco dei bus error o illegal instruction
				// da notare che  stato IM a dirmi di fare ste cose che
				// sembrano sporche ma non lo sono : la risorsa MENU \`e formata
				// dal titolo (letto dalla MBDF) e da cose che sono lette dalla MDEF
				// se bomba non  colpa mia.

	// ora rispondo al messaggio passatomi dal sistema
	switch (message) {
	case 0:
		/* disegna il  menu */
		// questi controlli li piazzo qui perch altrimenti la freccetta si
		// muove che  una pena

		err = SysEnvirons( 1, &theWorld );	// e' una macchina colorosa ?
		if (err != noErr) hasColorQD = false;
		else hasColorQD = theWorld.hasColorQD;

		BlockMove((Ptr) r,(Ptr)&invert,sizeof(Rect));

		// qui c' del codice brutto, perch dipende dal tipo di menu
		invert.right -= 17;
		DrawPicture(pic, & invert);
		DrawTheArrow( r->left + 48,r->top + ((theOld - 1) >> lineShift) - 8);
		invert.right += 17;

		((short*)(*menu))[17] = theOld;
		// neppure questo  il massimo, per l'idea  quella giusta
		if (disabled) {		// se il menu  disabilitato allora lo 'offusco'
			pattern[1]=pattern[0]=0x55aa55aa;
			if (! hasColorQD) {	// in b/n faccio una cosa semplice
				PenPat(pattern);
				PenMode(notSrcBic);
			} else {	// a colori distinguo due casi
				GDHandle thisDev = GetMaxDevice( r );
						// primo caso : ho 8 bit o pi di schermo
						// non ingrigisco a 4 bit perch  troppo lento
						// ( mica tutti hanno un Quadra o un IIsi a 50Mhz :-)
				if ( (**(**thisDev).gdPMap).pixelSize > 4 ) {
					RGBColor theCol;
					theCol.red = theCol.green = theCol.blue = 0x8000;
					OpColor(&theCol);
					theCol.red = theCol.green = theCol.blue = 0xffff;
					RGBForeColor(&theCol);
					PenMode(blend);
				} else {	// altro caso : lo ho settato al risparmio : 1 o 2 o 4 bit
					PenPat(pattern);
					PenMode(notSrcBic);
				}
			}
			PaintRect(& invert);
		}
		PenNormal();
		break;
	case 1:
		if ( disabled ) return;
		invert.right = ( invert.left = r->left + 48 ) + 16;
		/* scegli ed evidenzia */
		* (long *) & pt = * (long *) & p;
		
		thePicFrame = &((*pic)->picFrame);
		imax = ( thePicFrame->bottom - thePicFrame->top - 7 ) << lineShift;
		imin = 18 /* 9 << lineShift */ ;
		/* find the item */
		new = ((pt.v - r->top) << lineShift);
		
		if (PtInRect(pt, r) && (new <= imax) && (new >= imin) ) { 
			if (*which != new) {
				// chiss se riuscir a fare un codice pi compatto qui
				if (((short*)(*menu))[17]) {
					invert.bottom =
						( invert.top = ( r->top + ((theOld - 1) >> lineShift) - 8 ) )
							+ 16;
					EraseRect(&invert);
					((short*)(*menu))[17] = 0;
				}
				if (*which != 0) {
					/* deselect which */
					invert.bottom =
						( invert.top = ( r->top + ((*which - 1) >> lineShift) - 8 ) )
							+ 16;
					EraseRect(&invert);
				}
				/* freccia */
				DrawTheArrow(invert.left ,r->top + ((new - 1) >> lineShift) - 8);
				*which = new;
			}
		}
		else {
			if (*which != 0) {
				/* deseleziona 'which' */
				invert.bottom =
					( invert.top = ( r->top + ((*which - 1) >> lineShift) - 8 ) )
						+ 16;
				EraseRect(&invert);
				*which = 0;
				if (Button()) {
					theOld = ((short*)(*menu))[17] = ((short*)(*menu))[16];
					DrawTheArrow(invert.left,r->top + ((theOld - 1) >> lineShift) - 8);
				}
			}
		}
		break;
	case 2:
		if ( disabled ) return;
		thePicFrame = &((*pic)->picFrame);
		(*menuid)[1] = thePicFrame->right - thePicFrame->left + 17;
		(*menuid)[2] = thePicFrame->bottom - thePicFrame->top;
		break;
	}
}


void DrawTheArrow(short left,short top)
{
	BitMap iconMap;
	Rect destRect;
	GrafPtr portSave;
	Ptr theSICN;
	Handle sicnHandle;

	sicnHandle = GetResource('SICN',32128);
	HNoPurge(sicnHandle);
	HLock(sicnHandle);
	GetPort(&portSave);
	iconMap.baseAddr = ( theSICN = *sicnHandle );
	iconMap.rowBytes = 2;
	SetRect(&iconMap.bounds,0,0,16,16);
	SetRect(&destRect,0,0,16,16);
	OffsetRect(&destRect,left,top);
	CopyBits(&iconMap,&portSave->portBits,&iconMap.bounds,&destRect,
			srcCopy,nil);
	HUnlock(sicnHandle);

}
