/*
    BOB'S EYES PRO version 2
    Copyright (C) 1991-1993  Roberto Avanzi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Author's Address:
		Roberto Avanzi
		via Luigi Balzan 12
		45100 Rovigo (RO)
		Italy (EEC)
	
	Internet E-Mail Address: (at least for 1992)
		gandalf@sabrina.dei.unipd.it
		caraccio@libertad.physics.nyu.edu (alternate one)
*/

#include	<sound.h>

#include	"BobsEyesDefsStructs.h"
#include	"BobsEyesProtos.h"
#include	"ExternGlobals.h"


void BuaAllOcchio (Boolean xOffset, Boolean stato)
{		
	short	temp;

	SetPort (theWindow);

  	inRect = ((EyesPeek) theWindow)->globeRect;

	if (xOffset) {
		inRect.left += ((EyesPeek) theWindow)->offset;
		inRect.right += ((EyesPeek) theWindow)->offset;
	}

	myDeviceLoop ( (RgnHandle) theWindow->visRgn , myBuaAllOcchioProc , stato );

}
 
pascal void myBuaAllOcchioProc ( short depth, GDHandle targetDevice , long stato)
{
	Rect	saveRect;
	if (stato) {
		Bordo ();
		PaintOval(&inRect);
	} else {
		Globo ();
		PaintOval(&inRect);
		saveRect = inRect;
		DrawOnlyPupil ();
		inRect = saveRect;
	}
}
