/*
    BOB'S EYES PRO version 2
    Copyright (C) 1991-1992  Roberto Avanzi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Author's Address:
		Roberto Avanzi
		via Luigi Balzan 12
		45100 Rovigo (RO)
		Italy (EEC)
	
	Internet E-Mail Address: (at least for 1992)
		gandalf@sabrina.dei.unipd.it
		caraccio@libertad.physics.nyu.edu (alternate one)
*/
/*
	this probably the ugliest file in the whole distribution
	DO NOT CONSIDER IT AS AN EXAMPLE OF GOOD MACINTOSH PROGRAMMING
	instead it should be considered as the demonstration of how
	RANDOMLY PATCHING existing routines COULD sometimes work ...
*/

#include	"BobsEyesDefsStructs.h"
#include	"BobsEyesProtos.h"
#include	"ExternGlobals.h"

void Sfondo ()
{
	if ( theWorld.hasColorQD ) {
		if ( gForcedBW )
			RGBBackColor ( &gWhite );
		else
			RGBBackColor( &((EyesPeek) theWindow)->sfondoColor);
	} else
		BackPat ( &qd.white );
}

void BiancoENero ()
{
	if ( theWorld.hasColorQD ) {
		RGBBackColor ( &gWhite );
		RGBForeColor ( &gBlack );
	} else {
		BackPat ( &qd.white );
		PenPat ( &qd.black );
	}
}

void Pupilla ()
{
	if ( theWorld.hasColorQD ) {
		if ( gForcedBW )
			RGBForeColor ( &gBlack );
		else
			RGBForeColor( &((EyesPeek) theWindow)->pupillaColor);
	} else
		PenPat ( &qd.black );

}

void Globo ()
{
	if ( theWorld.hasColorQD ) {
		if ( gForcedBW )
			RGBForeColor ( &gWhite );
		else
			RGBForeColor( &((EyesPeek) theWindow)->globoColor);
	} else
		PenPat ( &qd.white );
}

void Bordo ()
{
	if ( theWorld.hasColorQD ) {
		if ( gForcedBW )
			RGBForeColor ( &gBlack );
		else
			RGBForeColor( &((EyesPeek) theWindow)->bordoColor);
	} else
		PenPat ( &qd.black );
}

/* e' una mia finestra ? */
Boolean	IsAppWindow(window)
	register	WindowPtr window;
{
	if (window == 0L)
		return false;
	else
		return ((WindowPeek) window)->windowKind >= 0;
} /* IsAppWindow */

/* e' la finestra di un Accessorio della scrivania? */
Boolean IsDAWindow(window)
	register	WindowPtr window;
{
	if (window == 0L)
		return false;
	else
		return ((WindowPeek) window)->windowKind < 0;
} /* IsDAWindow */

/* e' disponibile una data trap ? */
Boolean TrapAvailable(
	short tNumber,
	TrapType tType )
{
			/* _Unimplemented = 0xA89F */
	return NGetTrapAddress(tNumber, tType) != GetTrapAddress (0xA89F);
} /* Trap Available */
